CVE-2020-10648

NameCVE-2020-10648
DescriptionDas U-Boot through 2020.01 allows attackers to bypass verified boot restrictions and subsequently boot arbitrary images by providing a crafted FIT image to a system configured to boot the default configuration.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
u-boot (PTS)jessie2014.10+dfsg1-5vulnerable
stretch2016.11+dfsg1-4vulnerable
buster2019.01+dfsg-7vulnerable
bullseye, sid2020.01+dfsg-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
u-bootsource(unstable)(unfixed)

Notes

[buster] - u-boot <no-dsa> (Minor issue)
[stretch] - u-boot <no-dsa> (Minor issue)
http://www.openwall.com/lists/oss-security/2020/03/18/5
https://labs.f-secure.com/advisories/das-u-boot-verified-boot-bypass/

Search for package or bug name: Reporting problems